Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezLook.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezLook.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezLook.looknfeel	(revision 11792)
@@ -772,37 +957,47 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezLook" image="WindowTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezLook" image="WindowTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezLook" image="WindowBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezLook" image="WindowBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezLook" image="WindowLeftEdge" />
-                <Image type="RightEdge" imageset="TaharezLook" image="WindowRightEdge" />
-                <Image type="BottomEdge" imageset="TaharezLook" image="WindowBottomEdge" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezLook/WindowTopLeft" />
+                <Image component="TopRightCorner" name="TaharezLook/WindowTopRight" />
+                <Image component="BottomLeftCorner" name="TaharezLook/WindowBottomLeft" />
+                <Image component="BottomRightCorner" name="TaharezLook/WindowBottomRight" />
+                <Image component="LeftEdge" name="TaharezLook/WindowLeftEdge" />
+                <Image component="RightEdge" name="TaharezLook/WindowRightEdge" />
+                <Image component="BottomEdge" name="TaharezLook/WindowBottomEdge" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="WindowTopLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="WindowTopEdge" dimension="Width" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="Width">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="WindowTopRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1" type="Height">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="WindowBottomEdge" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="GenericBrush" />
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="TaharezLook/WindowTopLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Width" name="TaharezLook/WindowTopEdge" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Width" />
+                            <ImageDim dimension="Width" name="TaharezLook/WindowTopRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Height" />
+                            <ImageDim dimension="Height" name="TaharezLook/WindowBottomEdge" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/GenericBrush" />
                 <ColourProperty name="ClientAreaColour" />
                 <VertFormat type="Stretched" />
@@ -813,10 +1008,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><WidgetDim widget="__auto_titlebar__" dimension="Height" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="GenericBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <WidgetDim dimension="Height" widget="__auto_titlebar__" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/GenericBrush" />
                 <ColourProperty name="ClientAreaColour" />
                 <VertFormat type="Stretched" />
@@ -827,10 +1030,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="GenericBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/GenericBrush" />
                 <ColourProperty name="ClientAreaColour" />
                 <VertFormat type="Stretched" />
@@ -851,5 +1062,5 @@
             <Layer>
                 <Section section="withtitle_frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -868,5 +1079,5 @@
             <Layer>
                 <Section section="withtitle_noframe_client_area">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -885,5 +1096,5 @@
             <Layer>
                 <Section section="notitle_frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -902,26 +1113,17 @@
             <Layer>
                 <Section section="notitle_noframe_client_area">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezLook/GroupBox
-    ***************************************************
-    -->
     <WidgetLook name="TaharezLook/GroupBox">
-        <PropertyDefinition name="FrameColours" initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="BackgroundColours" initialValue="tl:FFDFDFDF tr:FFDFDFDF bl:FFDFDFDF br:FFDFDFDF" redrawOnWrite="true" />
-
-        <PropertyDefinition name="BackgroundTextColours" initialValue="tl:FF000000 tr:FF000000 bl:FF000000 br:FF000000" redrawOnWrite="true" />
-
-	    <PropertyDefinition name="DisabledTextColour" initialValue="FF888888" redrawOnWrite="true" />
-        <PropertyDefinition name="NormalTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="TextBackground" initialValue="FF888888" redrawOnWrite="true" />
-
-        <Child type="DefaultWindow" nameSuffix="__auto_contentpane__">
+        <PropertyDefinition initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" name="FrameColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFDFDFDF tr:FFDFDFDF bl:FFDFDFDF br:FFDFDFDF" name="BackgroundColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FF000000 tr:FF000000 bl:FF000000 br:FF000000" name="BackgroundTextColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF888888" name="DisabledTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF888888" name="TextBackground" redrawOnWrite="true" />
+        <Child nameSuffix="__auto_contentpane__" type="DefaultWindow">
             <Area>
                 <Dim type="LeftEdge">
@@ -932,16 +1134,14 @@
                 </Dim>
                 <Dim type="RightEdge">
-                    <UnifiedDim scale="1" offset="0" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <AbsoluteDim value="8" />
-                        </DimOperator>
-                    </UnifiedDim>
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim offset="0" scale="1" type="RightEdge" />
+                        <AbsoluteDim value="8" />
+                    </OperatorDim>
                 </Dim>
                 <Dim type="BottomEdge">
-                    <UnifiedDim scale="1" offset="0" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <AbsoluteDim value="8" />
-                        </DimOperator>
-                    </UnifiedDim>
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim offset="0" scale="1" type="BottomEdge" />
+                        <AbsoluteDim value="8" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -957,8 +1157,8 @@
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" offset="0" type="RightEdge" />
+                        <UnifiedDim offset="0" scale="1" type="RightEdge" />
                     </Dim>
                     <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" offset="0" type="BottomEdge" />
+                        <UnifiedDim offset="0" scale="1" type="BottomEdge" />
                     </Dim>
                 </Area>
@@ -977,18 +1177,18 @@
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" offset="0" type="RightEdge" />
+                        <UnifiedDim offset="0" scale="1" type="RightEdge" />
                     </Dim>
                     <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" offset="0" type="BottomEdge" />
-                    </Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezLook" image="StaticTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezLook" image="StaticTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezLook" image="StaticBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezLook" image="StaticBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezLook" image="StaticLeft" />
-                <Image type="TopEdge" imageset="TaharezLook" image="StaticTop" />
-                <Image type="RightEdge" imageset="TaharezLook" image="StaticRight" />
-                <Image type="BottomEdge" imageset="TaharezLook" image="StaticBottom" />
+                        <UnifiedDim offset="0" scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezLook/StaticTopLeft" />
+                <Image component="TopRightCorner" name="TaharezLook/StaticTopRight" />
+                <Image component="BottomLeftCorner" name="TaharezLook/StaticBottomLeft" />
+                <Image component="BottomRightCorner" name="TaharezLook/StaticBottomRight" />
+                <Image component="LeftEdge" name="TaharezLook/StaticLeft" />
+                <Image component="TopEdge" name="TaharezLook/StaticTop" />
+                <Image component="RightEdge" name="TaharezLook/StaticRight" />
+                <Image component="BottomEdge" name="TaharezLook/StaticBottom" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -998,18 +1198,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" >
+                    <Dim type="LeftEdge">
                         <AbsoluteDim value="13" />
                     </Dim>
-                    <Dim type="TopEdge" >
-                        <AbsoluteDim value="0" />
-                    </Dim>
-                    <Dim type="Width" >
-                        <FontDim type="HorzExtent" padding="5" />
-                    </Dim>
-                    <Dim type="Height" >
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <FontDim padding="5" type="HorzExtent" />
+                    </Dim>
+                    <Dim type="Height">
                         <FontDim type="LineSpacing" />
                     </Dim>
                 </Area>
-                <Image imageset="TaharezLook" image="StaticBackdrop" />
+                <Image name="TaharezLook/StaticBackdrop" />
                 <ColourRectProperty name="BackgroundTextColours" />
                 <VertFormat type="Stretched" />
@@ -1029,6 +1229,6 @@
             <Layer>
                 <Section section="frame" />
-                    <Section section="label_bg" />
-                    <Section section="label">
+                <Section section="label_bg" />
+                <Section section="label">
                     <ColourProperty name="DisabledTextColour" />
                 </Section>
@@ -1036,33 +1236,28 @@
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezLook/ProgressBar
-    ***************************************************
-    -->
     <WidgetLook name="TaharezLook/ProgressBar">
         <NamedArea name="ProgressArea">
             <Area>
-                <Dim type="LeftEdge" >
-                    <ImageDim imageset="TaharezLook" image="ProgressBarLeft" dimension="Width">
-                        <DimOperator op="Divide">
+                <Dim type="LeftEdge">
+                    <OperatorDim op="Divide">
+                        <ImageDim dimension="Width" name="TaharezLook/ProgressBarLeft" />
+                        <AbsoluteDim value="2" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <OperatorDim op="Divide">
+                            <ImageDim dimension="Width" name="TaharezLook/ProgressBarRight" />
                             <AbsoluteDim value="2" />
-                        </DimOperator>
-                    </ImageDim>
-                </Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ProgressBarRight" dimension="Width">
-                                <DimOperator op="Divide">
-                                    <AbsoluteDim value="2" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
         </NamedArea>
@@ -1070,24 +1265,40 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="TaharezLook" image="ProgressBarLeft" />
-                <Image type="RightEdge" imageset="TaharezLook" image="ProgressBarRight" />
-                <Image type="Background" imageset="TaharezLook" image="ProgressBarMiddle" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="TaharezLook/ProgressBarLeft" />
+                <Image component="RightEdge" name="TaharezLook/ProgressBarRight" />
+                <Image component="Background" name="TaharezLook/ProgressBarMiddle" />
                 <HorzFormat type="Tiled" />
             </FrameComponent>
         </ImagerySection>
-        <ImagerySection name="progress_lights" >
-            <ImageryComponent>
-                <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="ProgressBarLitSegment" />
+        <ImagerySection name="progress_lights">
+            <ImageryComponent>
+                <Area>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/ProgressBarLitSegment" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -1102,5 +1313,5 @@
             <Layer>
                 <Section section="frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -1114,28 +1325,27 @@
             <Layer>
                 <Section section="progress_lights">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezLook/AlternateProgressBar
-    ***************************************************
-    -->
     <WidgetLook name="TaharezLook/AltProgressBar">
         <NamedArea name="ProgressArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="AltProgressLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="2" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="AltProgressRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-4" type="Height" /></Dim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezLook/AltProgressLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="2" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="TaharezLook/AltProgressRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-4" scale="1" type="Height" />
+                </Dim>
             </Area>
         </NamedArea>
@@ -1143,23 +1353,39 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="TaharezLook" image="AltProgressLeft" />
-                <Image type="RightEdge" imageset="TaharezLook" image="AltProgressRight" />
-                <Image type="Background" imageset="TaharezLook" image="AltProgressMiddle" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="TaharezLook/AltProgressLeft" />
+                <Image component="RightEdge" name="TaharezLook/AltProgressRight" />
+                <Image component="Background" name="TaharezLook/AltProgressMiddle" />
             </FrameComponent>
         </ImagerySection>
-        <ImagerySection name="progress_lights" >
-            <ImageryComponent>
-                <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="AltProgressLight1" />
+        <ImagerySection name="progress_lights">
+            <ImageryComponent>
+                <Area>
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/AltProgressLight1" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -1167,10 +1393,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.1" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="AltProgressLight2" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.1" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/AltProgressLight2" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -1178,10 +1412,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.2" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="AltProgressLight3" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.2" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/AltProgressLight3" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -1189,10 +1431,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.3" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="AltProgressLight4" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.3" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/AltProgressLight4" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -1200,10 +1450,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.4" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="AltProgressLight5" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.4" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="0.1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/AltProgressLight5" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
